Bug 1651022 - overlapping window titles in vertical xfce4 panel
Summary: overlapping window titles in vertical xfce4 panel
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-panel
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-18 22:04 UTC by Robert
Modified: 2019-11-27 20:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:00:50 UTC
Type: Bug


Attachments (Terms of Use)
screenshot of vertical xfce4-panel showing overlapping window titles (18.53 KB, image/png)
2018-11-18 22:04 UTC, Robert
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Xfce 14901 0 None None None 2019-07-22 00:43:56 UTC

Description Robert 2018-11-18 22:04:00 UTC
Created attachment 1507042 [details]
screenshot of vertical xfce4-panel showing overlapping window titles

Description of problem:
Long window titles inhibit the ability to read adjacent window buttons in the xfce4-panel when the panel is in the vertical orientation.

Version-Release number of selected component (if applicable):
xfce4-panel-4.13.3-20.fc29.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Set xfce4 panel orientation to vertical
2. open some windows with long titles, e.g.
    a. sudo dnf install -y gxmessage uuid
    b. gxmessage --name $(uuid) test
    c. firefox https://bugzilla.redhat.com
    d. xfce4-terminal -T $(uuid)
3. observe that (rather than elipses or truncation), the titles run over each other

Actual results:
long titles "escape" their window button, and run over each other (as attached)

Expected results:
long titles should be ellipsed as they are in horizontal view (or at least truncated or wrapped)

Additional info:
attaching screenshot

Comment 1 Kevin Fenzi 2018-11-18 23:52:49 UTC
Would you be willing to file this upstream at bugzilla.xfce.org? or would you prefer I do so?

Also it might be good if you could see if this happens on f28 (gtk2/xfce 3.12) as well, or if it's a gtk3 bug...

Thanks for reporting the bug...

Comment 2 Robert 2018-11-19 14:21:25 UTC
(In reply to Kevin Fenzi from comment #1)
> Would you be willing to file this upstream at bugzilla.xfce.org? or would
> you prefer I do so?

Unfortunately, I don't have a lot of free time ATM, and I don't have an account on their bugzilla.

> Also it might be good if you could see if this happens on f28 (gtk2/xfce
> 3.12) as well, or if it's a gtk3 bug...

I've got a f27 vm, and don't see the bug there, but I don't have any more f28 vms (so it's rather inconvenient for me to test).

> Thanks for reporting the bug...

I'm glad it might be helpful.

Comment 3 Kevin Fenzi 2018-11-24 19:29:09 UTC
Sorry for the delay... filed upstream as https://bugzilla.xfce.org/show_bug.cgi?id=14901

Comment 4 Ben Cotton 2019-10-31 20:27:57 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-11-27 20:00:50 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.